FROM node:20

#RUN apt-get update && apt-get install -y libcairo2-dev libjpeg-dev libpango1.0-dev libgif-dev build-essential g++ && apt-get clean && rm -rf /var/lib/apt/lists/*

COPY . ./

HEALTHCHECK --interval=30s --timeout=10s --start-period=10s --retries=1 \
	CMD wget --no-verbose --tries=1 --spider http://127.0.0.1:8000/health || exit 1

CMD ["npm", "start"]
